ランタイム: Mix::Graphics::IManager Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::IManager Class Referenceabstract

グラフィックスマネージャインターフェース More...

`#include <IManager.h>`

Inheritance diagram for Mix::Graphics::IManager:
[legend]
Collaboration diagram for Mix::Graphics::IManager:
[legend]

## Public Member Functions

virtual Boolean | GetDevice (Mix::Graphics::IDevice **ppDevice)=0
| グラフィックスデバイスを取得します More...
virtual Boolean | CreateTargetTextureChain (UInt32 width, UInt32 height, Mix::Graphics::FORMAT format, Mix::Graphics::Utility::ITargetTextureChain **ppTargetTextureChain, const wchar_t *pDebugName=NULL)=0
| ターゲットテクスチャチェインを作成します More...
virtual Boolean | CreateFontFromFile (const wchar_t *pFilePath, Mix::Graphics::Utility::IFont **ppFont)=0
| フォントをファイルから作成します More...
virtual Boolean | CreateFontFromMemory (const wchar_t *pFilePath, Mix::Memory::IBuffer *pBuffer, Mix::Graphics::Utility::IFont **ppFont)=0
| フォントをメモリ上のファイルから作成します More...
virtual Boolean | CreateCanvasRenderer (Mix::Graphics::Utility::ICanvasRenderer **ppCanvasRenderer, const wchar_t *pDebugName=NULL)=0
| キャンバスレンダラーを作成します More...
virtual Boolean | CreatePerspectiveRenderer (Mix::Graphics::Utility::IPerspectiveRenderer **ppPerspectiveRenderer, const wchar_t *pDebugName=NULL)=0
| パースペクティブレンダラーを作成します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IManager (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

グラフィックスマネージャインターフェース

## Constructor & Destructor Documentation

virtual Mix::Graphics::IManager::~IManager | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Graphics::IManager::GetDevice | ( | Mix::Graphics::IDevice ** | ppDevice | ) |

pure virtual

グラフィックスデバイスを取得します

Parameters

  [out] | ppDevice | 取得したグラフィックスデバイスを渡す Mix::Graphics::IDevice インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IManager::CreateTargetTextureChain | ( | UInt32 | width,
|  | UInt32 | height,
|  | Mix::Graphics::FORMAT | format,
|  | Mix::Graphics::Utility::ITargetTextureChain ** | ppTargetTextureChain,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ターゲットテクスチャチェインを作成します

Parameters

  [in] | width | ターゲットテクスチャの幅
  [in] | height | ターゲットテクスチャの高さ
  [in] | format | ターゲットテクスチャのフォーマット
  [out] | ppTargetTextureChain | 作成したターゲットテクスチャチェインを渡す Mix::Graphics::Utility::ITargetTextureChain インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IManager::CreateFontFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::Utility::IFont ** | ppFont
| ) |  |

pure virtual

フォントをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppFont | 作成したフォントを渡す Mix::Graphics::Utility::IFont インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IManager::CreateFontFromMemory | ( | const wchar_t * | pFilePath,
|  | Mix::Memory::IBuffer * | pBuffer,
|  | Mix::Graphics::Utility::IFont ** | ppFont
| ) |  |

pure virtual

フォントをメモリ上のファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [in] | pBuffer | メモリ内のファイルを表す Mix::Memory::IBuffer インターフェースのポインタ
  [out] | ppFont | 作成したフォントを渡す Mix::Graphics::Utility::IFont インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  作成に成功した場合、pBuffer の参照カウンタを +1 します

virtual Boolean Mix::Graphics::IManager::CreateCanvasRenderer | ( | Mix::Graphics::Utility::ICanvasRenderer ** | ppCanvasRenderer,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

キャンバスレンダラーを作成します

Parameters

  [out] | ppCanvasRenderer | 作成したキャンバスレンダラーを渡す Mix::Graphics::Utility::ICanvasRenderer インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IManager::CreatePerspectiveRenderer | ( | Mix::Graphics::Utility::IPerspectiveRenderer ** | ppPerspectiveRenderer,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

パースペクティブレンダラーを作成します

Parameters

  [out] | ppPerspectiveRenderer | 作成したパースペクティブレンダラーを渡す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

The documentation for this class was generated from the following file:

- Mix/Graphics/IManager.h